//Classe Car

function Car(image,make,model,description,price,category,year,mileage,extras) {
	this.image       = image;
	this.make        = make;
	this.model       = model;
	this.description = description;
	this.price       = price;
	this.category    = category;
	this.year        = year;
	this.mileage     = mileage;
	this.extras      = extras;
}

Car.prototype.generateImage = function (elt) 
{
	//On crée un élement
	var img = document.createElement("img");

	//On met les attributs
	img.setAttribute("src", this.image);
	img.setAttribute("alt", this.make + this.model);
	img.setAttribute("alt", this.make + this.model);
	img.setAttribute("class", "card-img-top");

	//On l'ajoute à l'élément donné
	elt.appendChild(img);
}

Car.prototype.generateExtras  = function (elt) 
{
	//On crée la liste
	var ul = document.createElement("ul");

	//Pour chaque extras...
	for (var i = 0; i < this.extras.length; i++) {
		//On crée un éléments de liste
        var li = document.createElement("li");

		//On met le texte correspondant
		li.innerText = this.extras[i].name + " (" + this.extras[i].price + "€)";

		//On l'ajoute à la liste
		ul.appendChild(li);
    }

	//On ajoute la liste à l'éléments donnée
	elt.appendChild(ul);
}